# encoding: utf-8

import gvsig
from gvsig import geom

def main(*args):
    # Acceso a entidades seleccionadas
    features = gvsig.currentLayer().features()

    line = geom.createLine(geom.D2)
    print line
    p1 = geom.createPoint(geom.D2, 409000,4471000)
    p2 = geom.createPoint(geom.D2, 410000,4473000)
    line.addVertex(p1)
    line.addVertex(p2)
    print line.convertToWKT()
    for f in features:
        if f.geometry().intersects(line):
            print f.get("TIPO")
        
