# encoding: utf-8

import gvsig
from gvsig.libs.formpanel import FormPanel
import os
from gvsig import geom

class Panel(FormPanel):
    def __init__(self):
        FormPanel.__init__(self, os.path.join(os.path.dirname(__file__),"test2.xml"))
        
    def btnInfo_click(self, *args):
        x = long(self.txtX.getText())
        y = long(self.txtY.getText())
        distance = long(self.txtDistance.getText())
        print x, y, distance
        point = geom.createPoint(geom.D2, x, y).buffer(distance)
        print point.convertToWKT()
        text = ""
        selection = gvsig.currentLayer().getSelection()
        selection.deselectAll()
        features = gvsig.currentLayer().features()
        for f in features:
            #print f.TIPO
            if f.geometry().intersects(point):
                print f.TIPO
                text += f.TIPO + "\n"
                selection.select(f)
        self.txtArea.setText(text)
                
        
def main(*args):

    l = Panel()
    l.showTool("Info")
    pass
